<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
if (!$_SESSION['admin']) {header("Location: menu-matriz.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinformedesde']=="0" || !isset($_SESSION['fechainformedesde'])) {
	$_SESSION['fechainformedesde']=date('Y-m-d');
} else {
	if ($_GET['annoinformedesde']<>""){
		$_SESSION['fechainformedesde']=$_GET['annoinformedesde'].'-'.$_GET['mesinformedesde'].'-'.$_GET['diainformedesde'];
	}
}
if ($_GET['annoinformehasta']=="0" || !isset($_SESSION['fechainformehasta'])) {
	$_SESSION['fechainformehasta']=date('Y-m-d');
} else {
	if ($_GET['annoinformehasta']<>""){
		$_SESSION['fechainformehasta']=$_GET['annoinformehasta'].'-'.$_GET['mesinformehasta'].'-'.$_GET['diainformehasta'];
	}
}
$annoinformedesde=substr($_SESSION['fechainformedesde'],0,4);
$mesinformedesde=substr($_SESSION['fechainformedesde'],5,2);
$diainformedesde=substr($_SESSION['fechainformedesde'],8,2);
$fechainformedesde=$annoinformedesde.'-'.$mesinformedesde.'-'.$diainformedesde;
$annoinformehasta=substr($_SESSION['fechainformehasta'],0,4);
$mesinformehasta=substr($_SESSION['fechainformehasta'],5,2);
$diainformehasta=substr($_SESSION['fechainformehasta'],8,2);
$fechainformehasta=$annoinformehasta.'-'.$mesinformehasta.'-'.$diainformehasta;
if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		//$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual de este producto',stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Informe de ventas por cliente, desde <?php echo afecha($fechainformedesde).' hasta '.afecha($fechainformehasta); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<form action="informe-ventas-cliente.php" method="get" name="filtrarcliente">
<span class="tips">Se muestran las ventas desde <input type="text" name="diainformedesde" value="<?php echo $diainformedesde; ?>" class="superangosto"> / <input type="text" name="mesinformedesde" value="<?php echo $mesinformedesde; ?>" class="superangosto"> / <input type="text" name="annoinformedesde" value="<?php echo $annoinformedesde; ?>" class="angosto"> hasta  <input type="text" name="diainformehasta" value="<?php echo $diainformehasta; ?>" class="superangosto"> / <input type="text" name="mesinformehasta" value="<?php echo $mesinformehasta; ?>" class="superangosto"> / <input type="text" name="annoinformehasta" value="<?php echo $annoinformehasta; ?>" class="angosto"> <a href="#" onclick="cargando(); forms.filtrarcliente.submit();"><img src="iconos/buscar16.png" /></a></span><br />
</form>
	<table>
    <thead>
	   	<tr>
        	<th>Rut</th>
        	<th>Razon social</th>
            <th>Total contado</th>
            <th>Total credito</th>
            <th>Descuentos</th>
            <th>Total</th>
        </tr>
     </thead>
     <tbody>
<?php
$totalcredito=0;$totalcontado=0;$totaldescuento=0;
$clientes=$mysqli->query('SELECT * FROM clientes ORDER BY razon ASC');
$row=$clientes->fetch_array();
if ($clientes->num_rows==0) {
?>
	<tr><td colspan="12">No existen clientes ingresados</td></tr>
<?php
} else { 
do {
$estecliente = new cliente($mysqli,$row['Idcliente']);
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $estecliente->rut; ?></td>
        	<td><?php echo $estecliente->razon; ?></td>
<?php
	$ventascredito=$mysqli->query('SELECT sum(vd.cantidad*vd.valorunitario) as monto, v.fecha, vd.Idproducto, v.Idcliente, sum(vd.cantidad) as cantidad, vd.valorunitario FROM ventas v LEFT JOIN ventas_detalle vd ON v.Idventa=vd.Idventa WHERE Idcliente="'.$row['Idcliente'].'" AND nula="no" AND pagada="no" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ventascredito=$ventascredito->fetch_array();
	$ventascontado=$mysqli->query('SELECT sum(vd.cantidad*vd.valorunitario) as monto, v.fecha, vd.Idproducto, v.Idcliente, sum(vd.cantidad) as cantidad, vd.valorunitario FROM ventas v LEFT JOIN ventas_detalle vd ON v.Idventa=vd.Idventa WHERE Idcliente="'.$row['Idcliente'].'" AND nula="no" AND pagada="si" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ventascontado=$ventascontado->fetch_array();
	$descuentos=$mysqli->query('SELECT sum(descuento) as descuento FROM ventas WHERE Idcliente="'.$row['Idcliente'].'" AND nula="no" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_descuentos=$descuentos->fetch_array();
	$totalcredito+=$row_ventascredito['monto'];
	$totalcontado+=$row_ventascontado['monto'];
	$totaldescuento+=$row_descuentos['descuento'];
?>
			<td><?php echo ($row_ventascontado['monto']<>0)? '$ '.apesos($row_ventascontado['monto']):''; ?></td>
			<td><?php echo ($row_ventascredito['monto']<>0)? '$ '.apesos($row_ventascredito['monto']):''; ?></td>
			<td><?php echo ($row_descuentos['descuento']<>0)? '$ '.apesos($row_descuentos['descuento']):''; ?></td>
			<td><?php echo '$ '.apesos($row_ventascontado['monto']+$row_ventascredito['monto']-$row_descuentos['descuento']); ?></td>
        </tr>
<?php
$totalinventario+=$row['valorcompra']*$totalproducto;
} while ($row=$clientes->fetch_array());
?>
        <tr style="border-top:2px solid #999; font-weight:bold">
        	<td colspan="2">Sumas</td>
			<td><?php echo '$ '.apesos($totalcontado); ?></td>
			<td><?php echo '$ '.apesos($totalcredito); ?></td>
			<td><?php echo '$ '.apesos($totaldescuento); ?></td>
			<td><?php echo '$ '.apesos($totalcontado+$totalcredito-$totaldescuento); ?></td>
        </tr>
<?php
}
if ($despachos) {
    $despachos->free();
}
if ($sucursales) {
    $sucursales->free();
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>